[X2Go-Commits] [x2gothinclient] 01/01: on minidesktop creation, pull packages from wheezy-backports

git-admin at x2go.org git-admin at x2go.org
Tue Aug 26 18:01:21 CEST 2014


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository x2gothinclient.

commit 49982a38a18a2b3e791a6c7007b3431fe3fcd8a0
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Tue Aug 26 18:01:15 2014 +0200

    on minidesktop creation, pull packages from wheezy-backports
---
 management/sbin/x2gothinclient_create |   18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

diff --git a/management/sbin/x2gothinclient_create b/management/sbin/x2gothinclient_create
index 703184e..4c2d289 100755
--- a/management/sbin/x2gothinclient_create
+++ b/management/sbin/x2gothinclient_create
@@ -44,7 +44,7 @@ source $ETCDIR/x2gothinclient_settings
 TC_BASE="${TC_BASE:-/opt/x2gothinclient}"
 TC_CHROOT="${TC_CHROOT:-$TC_BASE/chroot}"
 TC_CONFIG="${TC_CONFIG:-$TC_BASE/etc}"
-TC_DISTRO_CODENAME="${TC_DISTRO_CODENAME:-squeeze}"
+TC_DISTRO_CODENAME="${TC_DISTRO_CODENAME:-wheezy}"
 TC_DEBMIRROR_URL="${TC_DEBMIRROR_URL:-'http://ftp.debian.org/debian'}"
 TC_X2GO_DEBURL="${TC_X2GO_DEBURL:-'deb http://packages.x2go.org $TC_DISTRO_CODENAME main'}"
 TC_MODULE_BLACKLIST="${TC_MODULE_BLACKLIST:-'pcspkr'}"
@@ -66,6 +66,12 @@ test -e "$TC_CHROOT" && {
 	exit -2
 }
 
+if [ "x$TC_DISTRO_CODENAME" = "xsqueeze" ] && [ "x$TC_FLAVOUR" = "xminidesktop" ]; then
+	echo "The X2Go TCE with minimal MATE desktop is only available for TCEs based"
+	echo "on Debian wheezy. Stopping now..."
+	exit -3
+fi
+
 if [ "x${TC_NONINTERACTIVE}" = "x" ]; then
     echo "Hit <RETURN> to continue with X2Go TCE chroot creation using"
     echo "the above TCE parameters..."
@@ -96,6 +102,7 @@ export https_proxy="$TC_HTTPS_PROXY"
 export ftp_proxy="$TC_FTP_PROXY"
 
 debootstrap --arch i386 $TC_DISTRO_CODENAME $TC_CHROOT/ $TC_DEBMIRROR_URL
+
 cp /etc/resolv.conf $TC_CHROOT/etc/resolv.conf
 if [ "$TC_DISTRO_CODENAME" = "squeeze" ]; then
 	echo "auto lo" >>   $TC_CHROOT/etc/network/interfaces
@@ -127,6 +134,13 @@ none	/var/lock		tmpfs	size=50M		0	0
 EOF
 fi
 
+if [ "x$TC_DISTRO_CODENAME" = "xwheezy" ] && [ "x$TC_FLAVOUR" = "xminidesktop" ]; then
+	cat >> $TC_CHROOT/etc/apt/sources.list.d/backports.list <<EOF
+deb $TC_DEBMIRROR_URL ${TC_DISTRO_CODENAME}-backports main
+EOF
+	FROM_BACKPORTS="-t ${TC_DISTRO_CODENAME}-backports"
+fi
+
 cat > $TC_CHROOT/x2go_tce_install.sh <<EOF
 #!/bin/bash
 
@@ -181,7 +195,7 @@ fi
 [ \$? -eq 0 ] && test -h /initrd.img && mv /initrd.img /initrd.img.486.tmp || true
 [ \$? -eq 0 ] && LINK_TARGET=\$(readlink /initrd.img.486.tmp | sed 's@/boot at boot@') && ln -sf \$LINK_TARGET /initrd.img.486 && rm -f /initrd.img.486.tmp
 
-[ \$? -eq 0 ] && apt-get install x2gothinclient-chroot x2gothinclient-${TC_FLAVOUR} -y
+[ \$? -eq 0 ] && apt-get install x2gothinclient-chroot x2gothinclient-${TC_FLAVOUR} -y ${FROM_BACKPORTS}
 
 if [ "x$TC_FLAVOUR" = "xminidesktop" ]; then
     x2gothinclient-preseed

--
Alioth's /srv/git/_hooks_/post-receive-email on /srv/git/code.x2go.org/x2gothinclient.git


More information about the x2go-commits mailing list